<app-header ></app-header>
<div class="container-fluid">
    <div class="row">


  <div class="col-md-4">

<form class="form-inline">
  <div class="form-group">
    <div class="input-group">
      <input class="form-control" placeholder="yyyy-mm-dd"
             name="dp1" [(ngModel)]="date_from" ngbDatepicker #d1="ngbDatepicker">
      <div class="input-group-append">
        <button class="btn btn-outline-secondary calendar" (click)="d1.toggle()" type="button"></button>
      </div>
    </div>
  </div>
</form>
  </div>
  <div class="col-md-4">
  <form class="form-inline">
  <div class="form-group">
    <div class="input-group">
      <input class="form-control" placeholder="yyyy-mm-dd"
             name="dp2" [(ngModel)]="date_to" ngbDatepicker #d2="ngbDatepicker">
      <div class="input-group-append">
        <button class="btn btn-outline-secondary calendar" (click)="d2.toggle()" type="button"></button>
      </div>
    </div>
  </div>

</form>


</div>
<div class="col-md-2">
<button class="btn btn-primary" (click)="loadData()" disable='date_from != null && date_from  != null'>Buscar Registros</button>

</div>
</div>
<app-atom-spinner
     [animationDuration]="1000"
     [size]="160"
     [color]="'#0000ff'"
     *ngIf="showSpinner"></app-atom-spinner>
<ngb-tabset [destroyOnHide]="false" *ngIf='!showSpinner'>

  <ngb-tab title="Unidad de Fomento">
    <ng-template ngbTabContent>


    <div class="row my-4">
      <div class="col-md-4 scroll">
        <app-list-values [values]='ufs' [type]='"UF"' *ngIf="ufs"></app-list-values>
      </div>
      <div class="col-md-4">
        <app-resume-card [resume]='resume_ufs' [type]='"UFs"' *ngIf="ufs" ></app-resume-card>

        <app-linechart [values]='ufs' [type]='"UF"' *ngIf="ufs"></app-linechart>
      </div>
    </div>

     </ng-template>
  </ngb-tab>
  <ngb-tab title="Dolares">
    <ng-template ngbTabContent>

      <div class="row my-4">
          <div class="col-md-4">
            <app-list-values [values]='dollars' [type]='"dolares"' *ngIf="dollars"></app-list-values>
          </div>
          <div class="col-md-4">
            <app-resume-card [resume]='resume_dollars' [type]='"dolares"' *ngIf="dollars"></app-resume-card>

            <app-linechart [values]='dollars' [type]='"dolares"' *ngIf="dollars"></app-linechart>
          </div>
        </div>


    </ng-template>
  </ngb-tab>
  <ngb-tab title="UTC" >
    <ng-template ngbTabContent>

      <div class="row">
        <div class="col-md-6">
         <app-listtmc [tmcs]='tmcs'></app-listtmc>
        </div>
        <div class="col-md-6">
          <app-barchart [resume_tmcs]='resume_tmcs'  *ngIf='resume_tmcs'></app-barchart>
        </div>
      </div>

    </ng-template>
  </ngb-tab>
</ngb-tabset>



